package com.ssm.ioc;

    /**
     * 数据字典实体类（数据字典管理模块）
     */
    public class Dict {
        // 1. 私有属性（满足≥4个要求）
        private Integer dictId;      // 字典ID
        private String dictType;      // 字典类型
        private String dictCode;      // 字典编码
        private String dictName;      // 字典名称
        private Integer dictSort;     // 排序序号
        private String isValid;       // 是否有效（Y/N）


        public Integer getDictId() {
            return dictId;
        }

        public void setDictId(Integer dictId) {
            this.dictId = dictId;
        }

        public String getDictType() {
            return dictType;
        }

        public void setDictType(String dictType) {
            this.dictType = dictType;
        }

        public String getDictCode() {
            return dictCode;
        }

        public void setDictCode(String dictCode) {
            this.dictCode = dictCode;
        }

        public String getDictName() {
            return dictName;
        }

        public void setDictName(String dictName) {
            this.dictName = dictName;
        }

        public Integer getDictSort() {
            return dictSort;
        }

        public void setDictSort(Integer dictSort) {
            this.dictSort = dictSort;
        }

        public String getIsValid() {
            return isValid;
        }

        public void setIsValid(String isValid) {
            this.isValid = isValid;
        }
        public void printDictInfo(){
            System.out.println("数据字典1：");
            System.out.println("字典ID：" + dictId);
            System.out.println("字典类型：" + dictType);
            System.out.println("字典编码：" + dictCode);
            System.out.println("字典名称：" + dictName);
            System.out.println("排序序号：" + dictSort);
            System.out.println("是否有效（Y/N）：" + isValid);
        }
    }

